# Changelog

All notable changes to this project will be documented in this file, which is a **cumulative record**.

Each version entry follows a consistent structure with the following optional sections:

- **Added** – New features
- **Changed** – Modifications to existing functionality
- **Deprecated** – Features marked for future removal
- **Removed** – Features removed in this version
- **Fixed** – Bug fixes
- **Security** – Vulnerability fixes

Format based on [Keep a Changelog](https://keepachangelog.com) and [Semantic Versioning](https://semver.org).


## [1.0.0] - 2025-06-26
### Added
- Multi-format, multi-instrument file reading system for FAIR data processing
- Data integration pipeline with YAML-based configuration for cross-project adaptability
- Metadata revision and normalization pipeline
- HDF5 manager object for data extraction, handling, and visualization
